Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.views
Class DefaultVisualiserRenderer

    java.lang.Object
      org.eclipse.contribution.visualiser.views.ClassicVisualiserRenderer
          org.eclipse.contribution.visualiser.views.DefaultVisualiserRenderer

All Implemented Interfaces:
  IVisualiserRenderer

Direct Known Subclasses:
  GradientVisualiserRenderer

public class DefaultVisualiserRenderer
extends ClassicVisualiserRenderer

Implements the visualiser renderer interface to provide the default visualiser drawing style, which has plain columns plus Eclipse style headers with rounded corners. Custom renderers can either implement the interface directly or extend this class, or any of the other renderers.

Author:
  mchapman

Constructor Summary
`DefaultVisualiserRenderer()`

Method Summary
`int` | `getColumnHeaderHeight()` The space required for headers of each columns
`int` | `getMarginSize()` The padding to be used around the edges of the visualiser
`int` | `getSpacing()` The space in-between columns
`void` | `paintColumn(org.eclipse.swt.graphics.GC gc, IMember m, int x, int yoff, int colWidth, int colHeight, boolean affected)` Paint the actual column (but not any stripes)
`void` | `paintColumnHeader(org.eclipse.swt.graphics.GC gc, IMember m, int x, int colWidth)` Paint the title of a column, typically the name of the given IMember

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultVisualiserRenderer

    public DefaultVisualiserRenderer()

Method Detail

### getColumnHeaderHeight

    public int getColumnHeaderHeight()

  Description copied from interface: `IVisualiserRenderer`
  The space required for headers of each columns

  Specified by:
    `getColumnHeaderHeight` in interface `IVisualiserRenderer`
  Overrides:
    `getColumnHeaderHeight` in class `ClassicVisualiserRenderer`

### paintColumnHeader

    public void paintColumnHeader(org.eclipse.swt.graphics.GC gc,
                                  IMember m,
                                  int x,
                                  int colWidth)

  Description copied from interface: `IVisualiserRenderer`
  Paint the title of a column, typically the name of the given IMember

  Specified by:
    `paintColumnHeader` in interface `IVisualiserRenderer`
  Overrides:
    `paintColumnHeader` in class `ClassicVisualiserRenderer`

### getSpacing

    public int getSpacing()

  Description copied from interface: `IVisualiserRenderer`
  The space in-between columns

  Specified by:
    `getSpacing` in interface `IVisualiserRenderer`
  Overrides:
    `getSpacing` in class `ClassicVisualiserRenderer`

### getMarginSize

    public int getMarginSize()

  Description copied from interface: `IVisualiserRenderer`
  The padding to be used around the edges of the visualiser

  Specified by:
    `getMarginSize` in interface `IVisualiserRenderer`
  Overrides:
    `getMarginSize` in class `ClassicVisualiserRenderer`

### paintColumn

    public void paintColumn(org.eclipse.swt.graphics.GC gc,
                            IMember m,
                            int x,
                            int yoff,
                            int colWidth,
                            int colHeight,
                            boolean affected)

  Description copied from interface: `IVisualiserRenderer`
  Paint the actual column (but not any stripes)

  Specified by:
    `paintColumn` in interface `IVisualiserRenderer`
  Overrides:
    `paintColumn` in class `ClassicVisualiserRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD